"""deletion request tracking and blocklist

Revision ID: 587e89e1188d
Revises: fc42b5061cfc
Create Date: 2024-07-25 15:26:30.835700

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '587e89e1188d'
down_revision = 'fc42b5061cfc'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('blocklist',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('origin_domain_name', sa.String(), nullable=True),
    sa.Column('url_path', sa.String(), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    with op.batch_alter_table('link', schema=None) as batch_op:
        batch_op.add_column(sa.Column('link_type', sa.String(), nullable=True))
        batch_op.add_column(sa.Column('deletion_requested', sa.DateTime(), nullable=True))
        batch_op.add_column(sa.Column('deletion_confirmed', sa.DateTime(), nullable=True))

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('link', schema=None) as batch_op:
        batch_op.drop_column('deletion_confirmed')
        batch_op.drop_column('deletion_requested')
        batch_op.drop_column('link_type')

    op.drop_table('blocklist')
    # ### end Alembic commands ###
